> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Removed Content



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/removed
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/removed:
    get:
      tags:
        - community-moderation-admin
      summary: List Removed Content
      operationId: >-
        community_moderation_admin.get_community_moderation_admin_get_admin_teams_by_team_id_hubs_by_hub_id_moderation_removed
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - description: >-
            Sort order for the removed list. One of: -author_name, -content,
            -content_type, -removed_at, -report_count, author_name, content,
            content_type, removed_at, report_count
          in: query
          name: sort
          required: false
          schema:
            default: '-removed_at'
            description: >-
              Sort order for the removed list. One of: -author_name, -content,
              -content_type, -removed_at, -report_count, author_name, content,
              content_type, removed_at, report_count
            enum:
              - '-author_name'
              - '-content'
              - '-content_type'
              - '-removed_at'
              - '-report_count'
              - author_name
              - content
              - content_type
              - removed_at
              - report_count
            title: Sort
            type: string
        - in: query
          name: page[size]
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Page[Size]
            type: integer
        - in: query
          name: page[after]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page[After]
        - in: query
          name: filter[content_type]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter[Content Type]
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/RemovedContentListResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RemovedContentListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RemovedContentResource'
          title: Data
          type: array
        included:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactIncludedResource'
              type: array
            - type: 'null'
          title: Included
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: RemovedContentListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RemovedContentResource:
      properties:
        attributes:
          $ref: '#/components/schemas/RemovedContentAttributes'
        id:
          title: Id
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/RemovedContentMeta'
            - type: 'null'
        relationships:
          anyOf:
            - $ref: '#/components/schemas/RemovedContentRelationships'
            - type: 'null'
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: RemovedContentResource
      type: object
    ContactIncludedResource:
      description: >-
        Top-level `included` contact resource (mirrors
        _contact_view_to_included).
      properties:
        attributes:
          $ref: '#/components/schemas/ContactIncludedAttributes'
        id:
          title: Id
          type: string
        type:
          default: contacts
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ContactIncludedResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    RemovedContentAttributes:
      properties:
        content_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Id
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        hub_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hub Id
        removed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Removed At
      title: RemovedContentAttributes
      type: object
    RemovedContentMeta:
      properties:
        content_preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Preview
        parent_comment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Comment Id
        report_count:
          default: 0
          title: Report Count
          type: integer
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      title: RemovedContentMeta
      type: object
    RemovedContentRelationships:
      properties:
        author:
          anyOf:
            - $ref: '#/components/schemas/JsonApiToOneRelationship'
            - type: 'null'
      title: RemovedContentRelationships
      type: object
    ContactIncludedAttributes:
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        membership_status:
          anyOf:
            - enum:
                - active
                - banned
                - soft_banned
                - left
              type: string
            - type: 'null'
          title: Membership Status
        role:
          anyOf:
            - enum:
                - owner
                - admin
                - moderator
                - member
              type: string
            - type: 'null'
          title: Role
      title: ContactIncludedAttributes
      type: object
    JsonApiToOneRelationship:
      description: 'A JSON:API to-one relationship: {data: {type, id} | null}.'
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/JsonApiResourceLinkage'
            - type: 'null'
      title: JsonApiToOneRelationship
      type: object
    JsonApiResourceLinkage:
      description: 'A JSON:API resource identifier object: {type, id}.'
      properties:
        id:
          title: Id
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - id
      title: JsonApiResourceLinkage
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http

````